# TFV
The tfv package is a suite of tools for post-processing results from the
[TUFLOW FV](https://www.tuflow.com/Tuflow%20FV.aspx) hydrodynamic, sediment transport, water quality and particle
tracking modelling software. 

It is also provides a basic framework for extracting and visualizing 2D and 3D oceanographic and atmospheric model result data on unstructured
meshes.

## Installing
The tfv package is available via the Python Package Index ([PyPi](https://pypi.org/project/tfv/))

*Note: Version 0.0.8 has been built and tested on Python 3.6 to 3.9*.

From command prompt install and update using pip:

```
python -m pip install tfv
```

## Dependancies
The tfv package depends on the following packages:

```
matplotlib < 3.5.0
netCDF4 >= 1.5.3
numpy >= 1.19.0
PyQt5 >= 5.15.0
```

These will be automatically installed or updated as part of the tfv installation.

## Tutorials, Documentation & Support
See the [API Reference](https://tfv.readthedocs.io/en/latest/) for code documentation and
[TUFLOW FV Python Tools](https://fvwiki.tuflow.com/index.php?title=FV_Python_Tools) for tutorials and demonstration 
datasets. 

For support contact [TUFLOW Support](mailto:support@tuflow.com).

## Authors
* **Jonah Chorley**
* **Toby Devlin**
* **TUFLOW Support**

## License
This project is licensed under the MIT License - see the [LICENSE.txt](https://gitlab.com/TUFLOW/tfv/blob/master/LICENSE) file for details


